<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>指定一个元素显示在视窗</title>
    <style>
        body{
            height: 2000px;
        }
        .box{
            height: 100px;
            width: 200px;
            background:red;
        }
    </style>
</head>
<body>
    <div class="box">
           
    </div>
</body>
<script>
    window.onload=function(){
        // document.querySelector(".box").scrollIntoView();

        // start出现在视口顶部、center出现在视口中央、end出现在视口底部  block: "start" || "center" || "end"
        document.querySelector(".box").scrollIntoView({
            block:"center"
        });
    }
</script>
</html>